List report templates
GET
/api/v1/reports/templates
const url = 'https://api.ultimateteam.ai/api/v1/reports/templates?limit=50&offset=0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ultimateteam.ai/api/v1/reports/templates?limit=50&offset=0' \ --header 'X-API-Key: <X-API-Key>'List all report templates for the caller’s tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
offset
Offset
integer
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response List Report Templates Api V1 Reports Templates Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}